### Method

# Atspi Component scroll_to

#### Declaration [src]

    gboolean
    atspi_component_scroll_to (
      AtspiComponent* obj,
      AtspiScrollType type,
      GError** error
    )

#### Description [src]

Scrolls whatever container of the `AtspiComponent` object so it becomes visible on the screen.

#### Parameters

`type`

  Type: `AtspiScrollType`

  A `AtspiScrollType` indicating where the object should be placed on the screen.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.